QT -= gui

TEMPLATE = lib
DEFINES += CALCULATE_PARKING_TICKETS_LIBRARY

CONFIG += c++11

QMAKE_CXXFLAGS += -Wno-deprecated-copy

INCLUDEPATH += ./rapidjson

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    calculate_parking_tickets.cpp \
    calculate_parking_tickets_utils.cpp \
    # calculate_parking_tickets_day.cpp \
    calculate_parking_tickets_algorithms.cpp \
    calculate_parking_tickets_tariff.cpp \
    # calculate_parking_tickets_tariff_step.cpp

HEADERS += \
    calculate_parking_tickets_global.h \
    calculate_parking_tickets.h \
    calculate_parking_tickets_utils.h \
    # calculate_parking_tickets_tariff_step.h \
    # calculate_parking_tickets_day.h \
    calculate_parking_tickets_algorithms.h \
    calculate_parking_tickets_tariff.h

OTHER_FILES += germering.conf apcoa_prio_1.conf

# Default rules for deployment.
unix {
    target.path = /usr/lib
}
!isEmpty(target.path): INSTALLS += target
